#!/bin/sh
#VERSION=1.3

#Place this into a cron location, such as:
#/etc/cron.weekly/sa-update.sh
#and chmod to 700

LOG=/var/log/sa-update.log
PID=/var/run/spamd.pid

if [ -s ${LOG} ]; then
	if [ -e ${LOG}.2 ]; then
		rm -f ${LOG}.2
	fi
	if [ -e ${LOG}.1 ]; then
		mv -f ${LOG}.1 ${LOG}.2
	fi
	mv -f ${LOG} ${LOG}.1
fi 

/usr/bin/sa-update -D --nogpg > ${LOG} 2>&1

RET=$?

if [ "$RET" -ge 4 ]; then
	echo "Error updating SpamAssassin Rules. Code=$RET";
	echo "";
	cat $LOG
else
	if [ -s $PID ]; then
		ps -p `cat $PID` > /dev/null 2>&1
		if [ "$?" -eq 0 ]; then
			kill -9 `cat $PID`
		fi
		/usr/bin/spamd -d -c -m 15 --ipv4 --pidfile=$PID >> ${LOG} 2>&1
	else
		killall -9 spamd >/dev/null 2>&1
		/usr/bin/spamd -d -c -m 15 --ipv4 >> ${LOG} 2>&1
	fi
fi

if [ "$RET" -eq 1 ]; then
	RET=0
fi

exit $RET;
